class AdminMailer < ApplicationMailer
  layout "mail"

  def password_reset(admin)
    @admin = admin
    mail :to => admin.email, :subject => "Reinitialisation du mot de passe.", :from => "info@nicolasbally.com"
  end

  def new_need(admin, need)
    @need = need
    mail to: admin.email, subject: "Nouvelle proposition de besoin"
  end

  # a faire
  def customer_interested(admin, need, customer)
    @need = need
    @customer = customer
    mail to: admin.email, subject: "Un client s'est intéressé à un besoin"
  end

  # a faire
  def customer_disinterested(admin, need, customer)
    @need = need
    @customer = customer
    mail to: admin.email, subject: "Un client s'est désintéressé d'un besoin"
  end

  # a faire
  def customer_post_comment(admin, need, comment)
    @need = need
    @comment = comment
    mail to: admin.email, subject: "Un client a laissé un commentaire sur un besoin"
  end

  # a faire
  def customer_accept_offer(admin, accepted_offer)
    @accepted_offer = accepted_offer
    mail to: admin.email, subject: "Un client a accepté une offre"
  end

  # a faire
  def customer_download_document(admin, document, customer)
    @document = document
    @customer = customer
    mail to: admin.email, subject: "Un client a téléchargé un document"
  end

  # a faire
  def customer_upload_document(admin, document, customer)
    @document = document
    @customer = customer
    mail to: admin.email, subject: "Un client a renvoyé un document"
  end

  # a faire
  def customer_send_contact_message(admin, contact_message)
    @contact_message = contact_message
    mail to: admin.email, subject: "Un client a envoyé un message de contact"
  end


end
